export declare class UtcDate {
    readonly year: number;
    readonly month: number;
    readonly day: number;
    readonly hour: number;
    readonly minute: number;
    constructor(year: number, month: number, day: number, hour: number, minute: number, timezone?: 'Europe/Berlin');
    static fromDate(date: Date): UtcDate;
    static fromIsoDate(date: string): UtcDate;
    static get now(): UtcDate;
    static decode(encodedDate: string): UtcDate;
    get toDate(): Date;
    get toIsoDate(): string;
    get encoded(): string;
    description(locale: 'de-DE', timezone: 'Europe/Berline'): string;
    setted(components: {
        year?: number;
        month?: number;
        day?: number;
        hour?: number;
        minute?: number;
    }): UtcDate;
    advanced(components: {
        year?: number;
        month?: number;
        day?: number;
        hour?: number;
        minute?: number;
    }): UtcDate;
    compare(other: UtcDate): 'less' | 'equal' | 'greater';
}
